pub use generated::river_status::*;
pub use generated::wlr_output_management::*;

pub mod generated {
    // The generated code tends to trigger a lot of warnings
    // so we isolate it into a very permissive module
    #![allow(dead_code, non_camel_case_types, unused_unsafe, unused_variables)]
    #![allow(non_upper_case_globals, non_snake_case, unused_imports)]
    #![allow(static_mut_refs, clippy::all)]
    // Tese imports are used by the generated code
    use wayland_client::protocol::wl_output;
    use wayland_client::{protocol, sys};
    use wayland_client::{
        AnonymousObject, Attached, Display, GlobalManager, Main, Proxy, ProxyMap,
    };
    use wayland_commons::map::{Object, ObjectMetadata};
    use wayland_commons::smallvec;
    use wayland_commons::wire::{Argument, ArgumentType, Message, MessageDesc};
    use wayland_commons::{Interface, MessageGroup};
    // If you protocol interacts with objects from other protocols, you'll need to import
    // their modules, like so:
    use wayland_client::protocol::{wl_region, wl_seat, wl_surface};

    pub mod river_status {
        use super::*;
        include!(concat!(env!("OUT_DIR"), "/river-status-unstable-v1.rs"));
    }
    pub mod wlr_output_management {
        use super::*;
        include!(concat!(env!("OUT_DIR"), "/wlr-output-management-unstable-v1.rs"));
    }
}
